Subject: Re: [PATCH 2/2] Use of_get_pci_dev_node() in axon_msi.c

From: David Miller <[email-masked]>
Date: Wed, 17 Oct 2007 04:22:29 -0700 (PDT)

From: Michael Ellerman <[email-masked]>
Date: Wed, 17 Oct 2007 17:12:27 +1000 (EST)

> Use of_get_pci_dev_node() in axon_msi.c. Switch to including <linux/of.h>
> so we get the prototype.
> 
> Signed-off-by: Michael Ellerman <[email-masked]>

I find it ironic that you add of_get_pci_dev_node() as a function
which gets the node and grabs a reference to it, and then the very
first usage you make of it doesn't drop the reference at all.

That reference grabbing aspect of the new interface is obviously very
useful! :-)

Kidding aside (I realize that in this case probably the driver never
unregisters and therefore the reference never needs to be released)
it's really much nicer to add facilities when you have patches in hand
that actually use them.